## trovacap 0.2.2

=== Makefile ===
# Project: trovacap

CPP  = g++
OBJ  = src/main.o src/trovacap.o src/Fl_Table.o src/Fl_Table_Row.o src/db_table.o src/dlg_info.o src/dlg_help.o
LINKOBJ  = src/main.o src/trovacap.o src/Fl_Table.o src/Fl_Table_Row.o src/db_table.o src/dlg_info.o src/dlg_help.o
LIBS =  -L/usr/X11R6/lib -lXext -lX11 -lm -lfltk -lsqlite3 -lXpm
CXXINCS =  -I"include"
BIN  = trovacap
DB = trovacap.db
DBSQL = src/trovacap.sql
CXXFLAGS = -O2 -Wall -static
RM = rm -f

all: $(BIN) $(DB)

$(BIN): $(OBJ)
	$(CPP) $(LINKOBJ) -o $(BIN) $(LIBS)

src/main.o: src/main.cxx
	$(CPP) -c src/main.cxx -o src/main.o $(CXXFLAGS) $(CXXINCS)

src/trovacap.o: src/trovacap.cxx
	$(CPP) -c src/trovacap.cxx -o src/trovacap.o $(CXXFLAGS) $(CXXINCS)

src/Fl_Table.o: src/Fl_Table.cxx
	$(CPP) -c src/Fl_Table.cxx -o src/Fl_Table.o $(CXXFLAGS) $(CXXINCS)

src/Fl_Table_Row.o: src/Fl_Table_Row.cxx
	$(CPP) -c src/Fl_Table_Row.cxx -o src/Fl_Table_Row.o $(CXXFLAGS) $(CXXINCS)

src/db_table.o: src/db_table.cxx
	$(CPP) -c src/db_table.cxx -o src/db_table.o $(CXXFLAGS) $(CXXINCS)

src/dlg_info.o: src/dlg_info.cxx
	$(CPP) -c src/dlg_info.cxx -o src/dlg_info.o $(CXXFLAGS) $(CXXINCS)

src/dlg_help.o: src/dlg_help.cxx
	$(CPP) -c src/dlg_help.cxx -o src/dlg_help.o $(CXXFLAGS) $(CXXINCS)

$(DB): $(DBSQL)
	sqlite3 -init $(DBSQL) $(DB) .quit
#	sqlite3 $(DB) < $(DBSQL)

clean:
	${RM} $(OBJ) $(BIN) $(DB)

=== debian/changelog ===
trovacap (0.2.2-1build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:01:22 +0100

trovacap (0.2.2-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:48:05 +0000

trovacap (0.2.2-1) unstable; urgency=low

  * Initial release (Closes: #639913)

 -- David Paleino <dapal@debian.org>  Sat, 03 Sep 2011 07:26:37 +0200

=== debian/control ===
Source: trovacap
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: David Paleino <dapal@debian.org>
Build-Depends: debhelper (>= 8.0.0)
 , libfltk1.3-dev
 , libxpm-dev
 , libxext-dev
 , libsqlite3-dev
 , sqlite3
Standards-Version: 3.9.3
Homepage: http://www.digitazero.org/?p=41
Vcs-Git: git://git.debian.org/collab-maint/trovacap.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/trovacap.git;a=summary

Package: trovacap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
 , trovacap-data (= ${source:Version})
Description: tool to find Italian ZIP codes
 TrovaCAP is a tool to find Italian ZIP codes (CAP - Codice Avviamento
 Postale) from a given address.

Package: trovacap-data
Architecture: all
Depends: ${misc:Depends}
Description: tool to find Italian ZIP codes - ZIP codes database
 TrovaCAP is a tool to find Italian ZIP codes (CAP - Codice Avviamento
 Postale) from a given address.
 .
 This package contains the ZIP codes database, in SQLite format and
 as a SQL dump.

=== debian/watch ===
version=3
http://www.digitazero.org/?p=41 \
	http://www.digitazero.org/download/trovacap-(\d+.*)_src\.tar\.gz
